group "CommodityCalculationPeriodsPointer.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 3 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 7 locations

Content Model Diagram

Complex Content Model
calculationPeriodsReference? | calculationPeriodsScheduleReference? | calculationPeriodsDatesReference?

Content Model Elements (3):

  calculationPeriodsDatesReference, calculationPeriodsReference, calculationPeriodsScheduleReference

Known Usage Locations

- In definitions of other model groups (1):
  CommodityCalculationPeriods.model
- In definitions of global complexTypes (6):
  CommodityDeliveryPeriods, CommodityFixedPriceSchedule, CommodityNotionalQuantitySchedule, CommodityRelativePaymentDates, CommoditySpreadSchedule, CommodityStrikeSchedule

Annotation
Model group to enable users to reference a Calculation Periods schedule in the form of a series of actual dates in a calculationPeriods container or in the form of a parameterised schedule in a calculationPeriodsSchedule container.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="CommodityCalculationPeriodsPointer.model"> <xsd:choice> <xsd:element minOccurs="0" name="calculationPeriodsReference" type="CalculationPeriodsReference"/> <xsd:element minOccurs="0" name="calculationPeriodsScheduleReference" type="CalculationPeriodsScheduleReference"/> <xsd:element minOccurs="0" name="calculationPeriodsDatesReference" type="CalculationPeriodsDatesReference"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
calculationPeriodsDatesReference

  Type: | CalculationPeriodsDatesReference, empty content

  A pointer style reference to single-day-duration Calculation Periods defined on another leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodsDatesReference" type="CalculationPeriodsDatesReference"/>

calculationPeriodsReference

  Type: | CalculationPeriodsReference, empty content

  A pointer style reference to the Calculation Periods defined on another leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodsReference" type="CalculationPeriodsReference"/>

calculationPeriodsScheduleReference

  Type: | CalculationPeriodsScheduleReference, empty content

  A pointer style reference to the Calculation Periods Schedule defined on another leg.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculationPeriodsScheduleReference" type="CalculationPeriodsScheduleReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.